# mistral

## action definition create

Create new action.

    openstack action definition create
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--marker [MARKER]]
        [--limit [LIMIT]]
        [--sort_keys [SORT_KEYS]]
        [--sort_dirs [SORT_DIRS]]
        [--filter FILTERS]
        [--public]
        [--namespace [NAMESPACE]]
        definition

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--marker <MARKER>

  The last execution uuid of the previous page, displays list of executions after “marker”.

--limit <LIMIT>

  Maximum number of entries to return in a single result.

--sort_keys <SORT_KEYS>

  Comma-separated list of sort keys to sort results by. Default: created_at. Example: mistral execution-list –sort_keys=id,description

--sort_dirs <SORT_DIRS>

  Comma-separated list of sort directions. Default: asc. Example: mistral execution-list –sort_keys=id,description –sort_dirs=asc,desc

--filter <FILTERS>

  Filters. Can be repeated.

--public

  With this flag action will be marked as “public”.

--namespace <NAMESPACE>

  Namespace to create the action within.

definition

  Action definition file

This command is provided by the python-mistralclient plugin.

## action definition definition show

Show action definition.

    openstack action definition definition show
        [--namespace [NAMESPACE]]
        name

--namespace <NAMESPACE>

  Namespace of the action.

name

  Action name

This command is provided by the python-mistralclient plugin.

## action definition delete

Delete action.

    openstack action definition delete
        [--namespace [NAMESPACE]]
        action
        [action ...]

--namespace <NAMESPACE>

  Namespace of the action(s).

action

  Name or ID of action(s).

This command is provided by the python-mistralclient plugin.

## action definition list

List all actions.

    openstack action definition list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--marker [MARKER]]
        [--limit [LIMIT]]
        [--sort_keys [SORT_KEYS]]
        [--sort_dirs [SORT_DIRS]]
        [--filter FILTERS]
        [--namespace [NAMESPACE]]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--marker <MARKER>

  The last execution uuid of the previous page, displays list of executions after “marker”.

--limit <LIMIT>

  Maximum number of entries to return in a single result.

--sort_keys <SORT_KEYS>

  Comma-separated list of sort keys to sort results by. Default: created_at. Example: mistral execution-list –sort_keys=id,description

--sort_dirs <SORT_DIRS>

  Comma-separated list of sort directions. Default: asc. Example: mistral execution-list –sort_keys=id,description –sort_dirs=asc,desc

--filter <FILTERS>

  Filters. Can be repeated.

--namespace <NAMESPACE>

  Namespace of the actions.

This command is provided by the python-mistralclient plugin.

## action definition show

Show specific action.

    openstack action definition show [--namespace [NAMESPACE]] action

--namespace <NAMESPACE>

  Namespace to create the action within.

action

  Action (name or ID)

This command is provided by the python-mistralclient plugin.

## action definition update

Update action.

    openstack action definition update
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--marker [MARKER]]
        [--limit [LIMIT]]
        [--sort_keys [SORT_KEYS]]
        [--sort_dirs [SORT_DIRS]]
        [--filter FILTERS]
        [--id ID]
        [--public]
        [--namespace [NAMESPACE]]
        definition

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--marker <MARKER>

  The last execution uuid of the previous page, displays list of executions after “marker”.

--limit <LIMIT>

  Maximum number of entries to return in a single result.

--sort_keys <SORT_KEYS>

  Comma-separated list of sort keys to sort results by. Default: created_at. Example: mistral execution-list –sort_keys=id,description

--sort_dirs <SORT_DIRS>

  Comma-separated list of sort directions. Default: asc. Example: mistral execution-list –sort_keys=id,description –sort_dirs=asc,desc

--filter <FILTERS>

  Filters. Can be repeated.

--id <ID>

  Action ID.

--public

  With this flag action will be marked as “public”.

--namespace <NAMESPACE>

  Namespace of the action.

definition

  Action definition file

This command is provided by the python-mistralclient plugin.

## action execution delete

Delete action execution.

    openstack action execution delete
        action_execution
        [action_execution ...]

action_execution

  Id of action execution identifier(s).

This command is provided by the python-mistralclient plugin.

## action execution input show

Show Action execution input data.

    openstack action execution input show id

id

  Action execution ID.

This command is provided by the python-mistralclient plugin.

## action execution list

List all Action executions.

    openstack action execution list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--marker [MARKER]]
        [--limit [LIMIT]]
        [--sort_keys [SORT_KEYS]]
        [--sort_dirs [SORT_DIRS]]
        [--filter FILTERS]
        [--oldest]
        [task_execution_id]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--marker <MARKER>

  The last execution uuid of the previous page, displays list of executions after “marker”.

--limit <LIMIT>

  Maximum number of entries to return in a single result.

--sort_keys <SORT_KEYS>

  Comma-separated list of sort keys to sort results by. Default: created_at. Example: mistral execution-list –sort_keys=id,description

--sort_dirs <SORT_DIRS>

  Comma-separated list of sort directions. Default: asc. Example: mistral execution-list –sort_keys=id,description –sort_dirs=asc,desc

--filter <FILTERS>

  Filters. Can be repeated.

--oldest

  Display the executions starting from the oldest entries instead of the newest

task_execution_id

  Task execution ID.

This command is provided by the python-mistralclient plugin.

## action execution output show

Show Action execution output data.

    openstack action execution output show id

id

  Action execution ID.

This command is provided by the python-mistralclient plugin.

## action execution run

Create new Action execution or just run specific action.

    openstack action execution run
        [-s]
        [--run-sync]
        [-t TARGET]
        [--namespace [NAMESPACE]]
        name
        [input]

-s, --save-result

  Save the result into DB.

--run-sync

  Run the action synchronously.

-t <TARGET>, --target <TARGET>

  Action will be executed on <target> executor.

--namespace <NAMESPACE>

  Namespace of the action(s).

name

  Action name to execute.

input

  Action input.

This command is provided by the python-mistralclient plugin.

## action execution show

Show specific Action execution.

    openstack action execution show action_execution

action_execution

  Action execution ID.

This command is provided by the python-mistralclient plugin.

## action execution update

Update specific Action execution.

    openstack action execution update
        [--state {PAUSED,RUNNING,SUCCESS,ERROR,CANCELLED}]
        [--output OUTPUT]
        id

--state <STATE>

  Action execution state

--output <OUTPUT>

  Action execution output

id

  Action execution ID.

This command is provided by the python-mistralclient plugin.

## code source content show

Show workflow definition.

    openstack code source content show [--namespace [NAMESPACE]] identifier

--namespace <NAMESPACE>

  Namespace to get the code source from.

identifier

  Code source ID or name.

This command is provided by the python-mistralclient plugin.

## code source create

Create new code source.

    openstack code source create
        [--namespace [NAMESPACE]]
        [--public]
        name
        content

--namespace <NAMESPACE>

  Namespace to create the code source within.

--public

  With this flag the code source will be marked as “public”.

name

  Code source name.

content

  Code source content file.

This command is provided by the python-mistralclient plugin.

## code source delete

Delete workflow.

    openstack code source delete
        [--namespace [NAMESPACE]]
        identifier
        [identifier ...]

--namespace <NAMESPACE>

  Namespace to delete the code source(s) from.

identifier

  Code source name or ID (can be repeated multiple times).

This command is provided by the python-mistralclient plugin.

## code source list

List all workflows.

    openstack code source list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--marker [MARKER]]
        [--limit [LIMIT]]
        [--sort_keys [SORT_KEYS]]
        [--sort_dirs [SORT_DIRS]]
        [--filter FILTERS]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--marker <MARKER>

  The last execution uuid of the previous page, displays list of executions after “marker”.

--limit <LIMIT>

  Maximum number of entries to return in a single result.

--sort_keys <SORT_KEYS>

  Comma-separated list of sort keys to sort results by. Default: created_at. Example: mistral execution-list –sort_keys=id,description

--sort_dirs <SORT_DIRS>

  Comma-separated list of sort directions. Default: asc. Example: mistral execution-list –sort_keys=id,description –sort_dirs=asc,desc

--filter <FILTERS>

  Filters. Can be repeated.

This command is provided by the python-mistralclient plugin.

## code source show

Show specific code source.

    openstack code source show [--namespace [NAMESPACE]] identifier

--namespace <NAMESPACE>

  Namespace to get the code source from.

identifier

  Code source ID or name.

This command is provided by the python-mistralclient plugin.

## code source update

Update workflow.

    openstack code source update
        [--id ID]
        [--namespace [NAMESPACE]]
        [--public]
        identifier
        content

--id <ID>

  Workflow ID.

--namespace <NAMESPACE>

  Namespace of the workflow.

--public

  With this flag workflow will be marked as “public”.

identifier

  Code source identifier (name or ID).

content

  Code source content

This command is provided by the python-mistralclient plugin.

## cron trigger create

Create new trigger.

    openstack cron trigger create
        [--params PARAMS]
        [--pattern <* * * * *>]
        [--first-time <YYYY-MM-DD HH:MM>]
        [--count <integer>]
        [--utc]
        name
        workflow_identifier
        [workflow_input]

--params <PARAMS>

  Workflow params

--pattern <* * * * *>

  Cron trigger pattern

--first-time <YYYY-MM-DD HH:MM>

  Date and time of the first execution. Time is treated as local time unless –utc is also specified

--count <integer>

  Number of wanted executions

--utc

  All times specified should be treated as UTC

name

  Cron trigger name

workflow_identifier

  Workflow name or ID

workflow_input

  Workflow input

This command is provided by the python-mistralclient plugin.

## cron trigger delete

Delete trigger.

    openstack cron trigger delete cron_trigger [cron_trigger ...]

cron_trigger

  Name of cron trigger(s).

This command is provided by the python-mistralclient plugin.

## cron trigger list

List all cron triggers.

    openstack cron trigger list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--marker [MARKER]]
        [--limit [LIMIT]]
        [--sort_keys [SORT_KEYS]]
        [--sort_dirs [SORT_DIRS]]
        [--filter FILTERS]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--marker <MARKER>

  The last execution uuid of the previous page, displays list of executions after “marker”.

--limit <LIMIT>

  Maximum number of entries to return in a single result.

--sort_keys <SORT_KEYS>

  Comma-separated list of sort keys to sort results by. Default: created_at. Example: mistral execution-list –sort_keys=id,description

--sort_dirs <SORT_DIRS>

  Comma-separated list of sort directions. Default: asc. Example: mistral execution-list –sort_keys=id,description –sort_dirs=asc,desc

--filter <FILTERS>

  Filters. Can be repeated.

This command is provided by the python-mistralclient plugin.

## cron trigger show

Show specific cron trigger.

    openstack cron trigger show cron_trigger

cron_trigger

  Cron trigger name

This command is provided by the python-mistralclient plugin.

## dynamic action create

Create new action.

    openstack dynamic action create
        [--public]
        [--namespace [NAMESPACE]]
        name
        class_name
        code_source

--public

  With this flag an action will be marked as “public”.

--namespace <NAMESPACE>

  Namespace to create the action within.

name

  Dynamic action name

class_name

  Dynamic action class name

code_source

  Code source ID or name

This command is provided by the python-mistralclient plugin.

## dynamic action delete

Delete action.

    openstack dynamic action delete
        [--namespace [NAMESPACE]]
        identifier
        [identifier ...]

--namespace <NAMESPACE>

  Namespace of the dynamic action(s).

identifier

  Dynamic action name or ID (can be repeated multiple times).

This command is provided by the python-mistralclient plugin.

## dynamic action list

List all dynamic actions.

    openstack dynamic action list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--marker [MARKER]]
        [--limit [LIMIT]]
        [--sort_keys [SORT_KEYS]]
        [--sort_dirs [SORT_DIRS]]
        [--filter FILTERS]
        [--namespace [NAMESPACE]]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--marker <MARKER>

  The last execution uuid of the previous page, displays list of executions after “marker”.

--limit <LIMIT>

  Maximum number of entries to return in a single result.

--sort_keys <SORT_KEYS>

  Comma-separated list of sort keys to sort results by. Default: created_at. Example: mistral execution-list –sort_keys=id,description

--sort_dirs <SORT_DIRS>

  Comma-separated list of sort directions. Default: asc. Example: mistral execution-list –sort_keys=id,description –sort_dirs=asc,desc

--filter <FILTERS>

  Filters. Can be repeated.

--namespace <NAMESPACE>

  Namespace of dynamic actions.

This command is provided by the python-mistralclient plugin.

## dynamic action show

Show specific dynamic action.

    openstack dynamic action show [--namespace [NAMESPACE]] identifier

--namespace <NAMESPACE>

  Namespace to create the dynamic action within.

identifier

  Dynamic action identifier (name or ID)

This command is provided by the python-mistralclient plugin.

## dynamic action update

Update dynamic action.

    openstack dynamic action update
        [--class-name [CLASS_NAME]]
        [--code-source [CODE_SOURCE]]
        [--public]
        [--namespace [NAMESPACE]]
        identifier

--class-name <CLASS_NAME>

  Dynamic action class name.

--code-source <CODE_SOURCE>

  Code source identifier (ID or name).

--public

  With this flag action will be marked as “public”.

--namespace <NAMESPACE>

  Namespace of the action.

identifier

  Dynamic action identifier (ID or name)

This command is provided by the python-mistralclient plugin.

## event trigger create

Create new trigger.

    openstack event trigger create
        [--params PARAMS]
        name
        workflow_id
        exchange
        topic
        event
        [workflow_input]

--params <PARAMS>

  Workflow params

name

  Event trigger name

workflow_id

  Workflow ID

exchange

  Event trigger exchange

topic

  Event trigger topic

event

  Event trigger event name

workflow_input

  Workflow input

This command is provided by the python-mistralclient plugin.

## event trigger delete

Delete trigger.

    openstack event trigger delete event_trigger_id [event_trigger_id ...]

event_trigger_id

  ID of event trigger(s).

This command is provided by the python-mistralclient plugin.

## event trigger list

List all event triggers.

    openstack event trigger list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--marker [MARKER]]
        [--limit [LIMIT]]
        [--sort_keys [SORT_KEYS]]
        [--sort_dirs [SORT_DIRS]]
        [--filter FILTERS]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--marker <MARKER>

  The last execution uuid of the previous page, displays list of executions after “marker”.

--limit <LIMIT>

  Maximum number of entries to return in a single result.

--sort_keys <SORT_KEYS>

  Comma-separated list of sort keys to sort results by. Default: created_at. Example: mistral execution-list –sort_keys=id,description

--sort_dirs <SORT_DIRS>

  Comma-separated list of sort directions. Default: asc. Example: mistral execution-list –sort_keys=id,description –sort_dirs=asc,desc

--filter <FILTERS>

  Filters. Can be repeated.

This command is provided by the python-mistralclient plugin.

## event trigger show

Show specific event trigger.

    openstack event trigger show event_trigger

event_trigger

  Event trigger ID

This command is provided by the python-mistralclient plugin.

## resource member create

Shares a resource to another tenant.

    openstack resource member create resource_id resource_type member_id

resource_id

  Resource ID to be shared.

resource_type

  Resource type.

member_id

  Project ID to whom the resource is shared to.

This command is provided by the python-mistralclient plugin.

## resource member delete

Delete a resource sharing relationship.

    openstack resource member delete resource resource_type member_id

resource

  Resource ID to be shared.

resource_type

  Resource type.

member_id

  Project ID to whom the resource is shared to.

This command is provided by the python-mistralclient plugin.

## resource member list

List all members.

    openstack resource member list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--marker [MARKER]]
        [--limit [LIMIT]]
        [--sort_keys [SORT_KEYS]]
        [--sort_dirs [SORT_DIRS]]
        [--filter FILTERS]
        resource_id
        resource_type

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--marker <MARKER>

  The last execution uuid of the previous page, displays list of executions after “marker”.

--limit <LIMIT>

  Maximum number of entries to return in a single result.

--sort_keys <SORT_KEYS>

  Comma-separated list of sort keys to sort results by. Default: created_at. Example: mistral execution-list –sort_keys=id,description

--sort_dirs <SORT_DIRS>

  Comma-separated list of sort directions. Default: asc. Example: mistral execution-list –sort_keys=id,description –sort_dirs=asc,desc

--filter <FILTERS>

  Filters. Can be repeated.

resource_id

  Resource id to be shared.

resource_type

  Resource type.

This command is provided by the python-mistralclient plugin.

## resource member show

Show specific member information.

    openstack resource member show [-m MEMBER_ID] resource resource_type

-m <MEMBER_ID>, --member-id <MEMBER_ID>

  Project ID to whom the resource is shared to. No need to provide this param if you are the resource member.

resource

  Resource ID to be shared.

resource_type

  Resource type.

This command is provided by the python-mistralclient plugin.

## resource member update

Update resource sharing status.

    openstack resource member update
        [-m MEMBER_ID]
        [-s {pending,accepted,rejected}]
        resource_id
        resource_type

-m <MEMBER_ID>, --member-id <MEMBER_ID>

  Project ID to whom the resource is shared to. No need to provide this param if you are the resource member.

-s <STATUS>, --status <STATUS>

  status of the sharing.

resource_id

  Resource ID to be shared.

resource_type

  Resource type.

This command is provided by the python-mistralclient plugin.

## task execution list

List all tasks.

    openstack task execution list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--marker [MARKER]]
        [--limit [LIMIT]]
        [--sort_keys [SORT_KEYS]]
        [--sort_dirs [SORT_DIRS]]
        [--filter FILTERS]
        [--oldest]
        [workflow_execution]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--marker <MARKER>

  The last execution uuid of the previous page, displays list of executions after “marker”.

--limit <LIMIT>

  Maximum number of entries to return in a single result.

--sort_keys <SORT_KEYS>

  Comma-separated list of sort keys to sort results by. Default: created_at. Example: mistral execution-list –sort_keys=id,description

--sort_dirs <SORT_DIRS>

  Comma-separated list of sort directions. Default: asc. Example: mistral execution-list –sort_keys=id,description –sort_dirs=asc,desc

--filter <FILTERS>

  Filters. Can be repeated.

--oldest

  Display the executions starting from the oldest entries instead of the newest

workflow_execution

  Workflow execution ID associated with list of Tasks.

This command is provided by the python-mistralclient plugin.

## task execution published show

Show task published variables.

    openstack task execution published show id

id

  Task ID

This command is provided by the python-mistralclient plugin.

## task execution rerun

Rerun an existing task.

    openstack task execution rerun [--resume] [-e ENV] id

--resume

  rerun only failed or unstarted action executions for with-items task

-e <ENV>, --env <ENV>

  Environment variables

id

  Task identifier

This command is provided by the python-mistralclient plugin.

## task execution result show

Show task output data.

    openstack task execution result show id

id

  Task ID

This command is provided by the python-mistralclient plugin.

## task execution show

Show specific task.

    openstack task execution show task

task

  Task identifier

This command is provided by the python-mistralclient plugin.

## workbook create

Create new workbook.

    openstack workbook create
        [--public]
        [--namespace [NAMESPACE]]
        definition

--public

  With this flag workbook will be marked as “public”.

--namespace <NAMESPACE>

  Namespace to create the workbook within.

definition

  Workbook definition file

This command is provided by the python-mistralclient plugin.

## workbook definition show

Show workbook definition.

    openstack workbook definition show name

name

  Workbook name

This command is provided by the python-mistralclient plugin.

## workbook delete

Delete workbook.

    openstack workbook delete
        [--namespace [NAMESPACE]]
        workbook
        [workbook ...]

--namespace <NAMESPACE>

  Namespace to delete the workbook(s) from.

workbook

  Name of workbook(s).

This command is provided by the python-mistralclient plugin.

## workbook list

List all workbooks.

    openstack workbook list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--marker [MARKER]]
        [--limit [LIMIT]]
        [--sort_keys [SORT_KEYS]]
        [--sort_dirs [SORT_DIRS]]
        [--filter FILTERS]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--marker <MARKER>

  The last execution uuid of the previous page, displays list of executions after “marker”.

--limit <LIMIT>

  Maximum number of entries to return in a single result.

--sort_keys <SORT_KEYS>

  Comma-separated list of sort keys to sort results by. Default: created_at. Example: mistral execution-list –sort_keys=id,description

--sort_dirs <SORT_DIRS>

  Comma-separated list of sort directions. Default: asc. Example: mistral execution-list –sort_keys=id,description –sort_dirs=asc,desc

--filter <FILTERS>

  Filters. Can be repeated.

This command is provided by the python-mistralclient plugin.

## workbook show

Show specific workbook.

    openstack workbook show [--namespace [NAMESPACE]] workbook

--namespace <NAMESPACE>

  Namespace to get the workbook from.

workbook

  Workbook name

This command is provided by the python-mistralclient plugin.

## workbook update

Update workbook.

    openstack workbook update
        [--namespace [NAMESPACE]]
        [--public]
        definition

--namespace <NAMESPACE>

  Namespace to update the workbook in.

--public

  With this flag workbook will be marked as “public”.

definition

  Workbook definition file

This command is provided by the python-mistralclient plugin.

## workbook validate

Validate workbook.

    openstack workbook validate definition

definition

  Workbook definition file

This command is provided by the python-mistralclient plugin.

## workflow create

Create new workflow.

    openstack workflow create
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--marker [MARKER]]
        [--limit [LIMIT]]
        [--sort_keys [SORT_KEYS]]
        [--sort_dirs [SORT_DIRS]]
        [--filter FILTERS]
        [--namespace [NAMESPACE]]
        [--public]
        definition

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--marker <MARKER>

  The last execution uuid of the previous page, displays list of executions after “marker”.

--limit <LIMIT>

  Maximum number of entries to return in a single result.

--sort_keys <SORT_KEYS>

  Comma-separated list of sort keys to sort results by. Default: created_at. Example: mistral execution-list –sort_keys=id,description

--sort_dirs <SORT_DIRS>

  Comma-separated list of sort directions. Default: asc. Example: mistral execution-list –sort_keys=id,description –sort_dirs=asc,desc

--filter <FILTERS>

  Filters. Can be repeated.

--namespace <NAMESPACE>

  Namespace to create the workflow within.

--public

  With this flag workflow will be marked as “public”.

definition

  Workflow definition file.

This command is provided by the python-mistralclient plugin.

## workflow definition show

Show workflow definition.

    openstack workflow definition show [--namespace [NAMESPACE]] identifier

--namespace <NAMESPACE>

  Namespace to get the workflow from.

identifier

  Workflow ID or name.

This command is provided by the python-mistralclient plugin.

## workflow delete

Delete workflow.

    openstack workflow delete
        [--namespace [NAMESPACE]]
        workflow
        [workflow ...]

--namespace <NAMESPACE>

  Namespace to delete the workflow from.

workflow

  Name or ID of workflow(s).

This command is provided by the python-mistralclient plugin.

## workflow env create

Create new environment.

    openstack workflow env create file

file

  Environment configuration file in JSON or YAML

This command is provided by the python-mistralclient plugin.

## workflow env delete

Delete environment.

    openstack workflow env delete environment [environment ...]

environment

  Name of environment(s).

This command is provided by the python-mistralclient plugin.

## workflow env list

List all environments.

    openstack workflow env list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--marker [MARKER]]
        [--limit [LIMIT]]
        [--sort_keys [SORT_KEYS]]
        [--sort_dirs [SORT_DIRS]]
        [--filter FILTERS]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--marker <MARKER>

  The last execution uuid of the previous page, displays list of executions after “marker”.

--limit <LIMIT>

  Maximum number of entries to return in a single result.

--sort_keys <SORT_KEYS>

  Comma-separated list of sort keys to sort results by. Default: created_at. Example: mistral execution-list –sort_keys=id,description

--sort_dirs <SORT_DIRS>

  Comma-separated list of sort directions. Default: asc. Example: mistral execution-list –sort_keys=id,description –sort_dirs=asc,desc

--filter <FILTERS>

  Filters. Can be repeated.

This command is provided by the python-mistralclient plugin.

## workflow env show

Show specific environment.

    openstack workflow env show [--export] environment

--export

  Export the environment suitable for import

environment

  Environment name

This command is provided by the python-mistralclient plugin.

## workflow env update

Update environment.

    openstack workflow env update file

file

  Environment configuration file in JSON or YAML

This command is provided by the python-mistralclient plugin.

## workflow execution create

Create new execution.

    openstack workflow execution create
        [--namespace [NAMESPACE]]
        [-d DESCRIPTION]
        [-s [SOURCE_EXECUTION_ID]]
        [workflow_identifier]
        [workflow_input]
        [params]

--namespace <NAMESPACE>

  Workflow namespace.

-d <DESCRIPTION>, --description <DESCRIPTION>

  Execution description

-s <SOURCE_EXECUTION_ID>

  Workflow Execution id which will allow operators to create a new workflow execution based on the previously successful executed workflow. Example: mistral execution-create -s 123e4567-e89b-12d3-a456-426655440000

workflow_identifier

  Workflow ID or name

workflow_input

  Workflow input

params

  Workflow additional parameters

This command is provided by the python-mistralclient plugin.

## workflow execution delete

Delete execution.

    openstack workflow execution delete [--force] execution [execution ...]

--force

  Force the deletion of an execution. Might cause a cascade of errors if used for running executions.

execution

  Id of execution identifier(s).

This command is provided by the python-mistralclient plugin.

## workflow execution input show

Show execution input data.

    openstack workflow execution input show id

id

  Execution ID

This command is provided by the python-mistralclient plugin.

## workflow execution list

List all executions.

    openstack workflow execution list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--marker [MARKER]]
        [--limit [LIMIT]]
        [--sort_keys [SORT_KEYS]]
        [--sort_dirs [SORT_DIRS]]
        [--filter FILTERS]
        [--oldest]
        [--task [TASK]]
        [--rootsonly]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--marker <MARKER>

  The last execution uuid of the previous page, displays list of executions after “marker”.

--limit <LIMIT>

  Maximum number of entries to return in a single result.

--sort_keys <SORT_KEYS>

  Comma-separated list of sort keys to sort results by. Default: created_at. Example: mistral execution-list –sort_keys=id,description

--sort_dirs <SORT_DIRS>

  Comma-separated list of sort directions. Default: asc. Example: mistral execution-list –sort_keys=id,description –sort_dirs=asc,desc

--filter <FILTERS>

  Filters. Can be repeated.

--oldest

  Display the executions starting from the oldest entries instead of the newest

--task <TASK>

  Parent task execution ID associated with workflow execution list.

--rootsonly

  return only root executions

This command is provided by the python-mistralclient plugin.

## workflow execution output show

Show execution output data.

    openstack workflow execution output show id

id

  Execution ID

This command is provided by the python-mistralclient plugin.

## workflow execution published show

Show workflow global published variables.

    openstack workflow execution published show id

id

  Workflow ID

This command is provided by the python-mistralclient plugin.

## workflow execution report show

Print execution report.

    openstack workflow execution report show
        [--errors-only]
        [--statistics-only]
        [--no-errors-only]
        [--max-depth [MAX_DEPTH]]
        id

--errors-only

  Only error paths will be included.

--statistics-only

  Only the statistics will be included.

--no-errors-only

  Not only error paths will be included.

--max-depth <MAX_DEPTH>

  Maximum depth of the workflow execution tree. If 0, only the root workflow execution and its tasks will be included

id

  Execution ID

This command is provided by the python-mistralclient plugin.

## workflow execution show

Show specific execution.

    openstack workflow execution show execution

execution

  Execution identifier

This command is provided by the python-mistralclient plugin.

## workflow execution update

Update execution.

    openstack workflow execution update
        [-s {RUNNING,PAUSED,SUCCESS,ERROR,CANCELLED}]
        [-e ENV]
        [-d DESCRIPTION]
        id

-s <STATE>, --state <STATE>

  Execution state

-e <ENV>, --env <ENV>

  Environment variables

-d <DESCRIPTION>, --description <DESCRIPTION>

  Execution description

id

  Execution identifier

This command is provided by the python-mistralclient plugin.

## workflow list

List all workflows.

    openstack workflow list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--marker [MARKER]]
        [--limit [LIMIT]]
        [--sort_keys [SORT_KEYS]]
        [--sort_dirs [SORT_DIRS]]
        [--filter FILTERS]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--marker <MARKER>

  The last execution uuid of the previous page, displays list of executions after “marker”.

--limit <LIMIT>

  Maximum number of entries to return in a single result.

--sort_keys <SORT_KEYS>

  Comma-separated list of sort keys to sort results by. Default: created_at. Example: mistral execution-list –sort_keys=id,description

--sort_dirs <SORT_DIRS>

  Comma-separated list of sort directions. Default: asc. Example: mistral execution-list –sort_keys=id,description –sort_dirs=asc,desc

--filter <FILTERS>

  Filters. Can be repeated.

This command is provided by the python-mistralclient plugin.

## workflow show

Show specific workflow.

    openstack workflow show [--namespace [NAMESPACE]] workflow

--namespace <NAMESPACE>

  Namespace to get the workflow from.

workflow

  Workflow ID or name.

This command is provided by the python-mistralclient plugin.

## workflow update

Update workflow.

    openstack workflow update
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--marker [MARKER]]
        [--limit [LIMIT]]
        [--sort_keys [SORT_KEYS]]
        [--sort_dirs [SORT_DIRS]]
        [--filter FILTERS]
        [--id ID]
        [--namespace [NAMESPACE]]
        [--public]
        definition

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--marker <MARKER>

  The last execution uuid of the previous page, displays list of executions after “marker”.

--limit <LIMIT>

  Maximum number of entries to return in a single result.

--sort_keys <SORT_KEYS>

  Comma-separated list of sort keys to sort results by. Default: created_at. Example: mistral execution-list –sort_keys=id,description

--sort_dirs <SORT_DIRS>

  Comma-separated list of sort directions. Default: asc. Example: mistral execution-list –sort_keys=id,description –sort_dirs=asc,desc

--filter <FILTERS>

  Filters. Can be repeated.

--id <ID>

  Workflow ID.

--namespace <NAMESPACE>

  Namespace of the workflow.

--public

  With this flag workflow will be marked as “public”.

definition

  Workflow definition

This command is provided by the python-mistralclient plugin.

## workflow validate

Validate workflow.

    openstack workflow validate definition

definition

  Workflow definition file

This command is provided by the python-mistralclient plugin.

this page last updated: 2026-07-15 15:33:41

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.